Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.net
Class ZeroConfSupport

    java.lang.Object
      org.apache.log4j.net.ZeroConfSupport

    public class ZeroConfSupport

extends Object

Constructor Summary
`ZeroConfSupport(String zone, int port, String name)`
`ZeroConfSupport(String zone, int port, String name, Map properties)`

Method Summary
`void` | `advertise()`
`static Object` | `getJMDNSInstance()`
`void` | `unadvertise()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZeroConfSupport

    public ZeroConfSupport(String zone,
                           int port,
                           String name,
                           Map properties)

### ZeroConfSupport

    public ZeroConfSupport(String zone,
                           int port,
                           String name)

Method Detail

### advertise

    public void advertise()

### unadvertise

    public void unadvertise()

### getJMDNSInstance

    public static Object getJMDNSInstance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.